
Summary:       A super sexy, ultra simple desktop mail client built in vala
Name:          postler
Version:       0.1.1
Release:       %mkrel 2
License:       GPL v2
Group:         Networking/Mail
#Source0:      http://www.xfce.org/archive/src/apps/postler/0.1/
Source0:       http://www.twotoasts.de/media/%{name}-%{version}.tar.xz
# Source0-md5: 0247cdf1ab8e2d919c9299a52646f47a
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-buildroot
URL:           https://launchpad.net/postler
BuildRequires: gettext-devel
BuildRequires: libglib2.0_0
BuildRequires: libglib2.0_0-devel
BuildRequires: libgtk+2.0_0
BuildRequires: libgtk+2.0_0-devel
BuildRequires: libwebkitgtk1.0-devel
BuildRequires: intltool
BuildRequires: libcanberra-devel
BuildRequires: libindicate-devel
BuildRequires: libnotify-devel
BuildRequires: libunique-devel
BuildRequires: lynx
BuildRequires: msmtp
BuildRequires: pkgconfig
BuildRequires: libvala-devel
Requires: 	vala
Requires: 	vala-tools
Requires: 	libvala0
Requires:	msmtp
Requires:	lynx
Requires:	dexter
Obsoletes:  	%name < %version
Requires:	glibc >= 2.12.1
Requires:	libstdc++6 >= 4.5.2

%description
Postler aims to be easy, simple, clean, beautiful, and automagic. It
handles IMAP beautifully, and provides the user with smart, sensible
defaults.


%prep

%setup -q

%build
./waf configure \
       --prefix=/usr

./waf build

%install
rm -rf $RPM_BUILD_ROOT

./waf install \
       --prefix=/usr \
       --destdir=$RPM_BUILD_ROOT

mkdir -p %{buildroot}{%{_miconsdir},%{_iconsdir},%{_liconsdir},%{_menudir}}
install -m 644 data/internet-mail.png %{buildroot}%{_liconsdir}/%{iconname}
convert data/internet-mail.png -geometry 32x32 %{buildroot}%{_iconsdir}/%{iconname}
convert data/internet-mail.png -geometry 16x16 %{buildroot}%{_miconsdir}/%{iconname}

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-Internet-Mail" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*.desktop


%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc ChangeLog README
%attr(755,root,root) %{_bindir}/postler
%attr(755,root,root) %{_bindir}/postler-mbsync
/usr/share/icons/hicolor/*/apps/internet-mail.*
/usr/share/doc/postler/*
/usr/share/icons/*
/usr/share/applications/*

%changelog
* Fri Apr 15 2011 Texstar <texstar at gmail.com> 0.1.1-2pclos2011
- fix rpm/synpatic group to Networking/Mail 
- add menu desktop file install for all desktops

* Sun Apr 03 2011 Sproggy <desproggster at gmail.com> 0.1.1-1pclos2011
- initial build for postler
